//*****************************************************************************
//
//  main.h - Program pro otestovani funkcnosti prevodnikove karty  / Sensor WIM
//
//*****************************************************************************

#ifndef __MAIN_H__
#define __MAIN_H__

#define ADC_COUNT 16        //Pocet analogovych kanalu celkem
#define NO_ADC    4         //Pocet osazenych analogovych kanalu

//Struktura s merenymi hodnotami a stavem prevodnikove karty
struct MainStruct{
  unsigned short ADCValue[ADC_COUNT];
  float Temperature;
  unsigned char CardState;  
  unsigned long DACValue;
};
extern struct MainStruct SensorWIM;

// Deklarace funkci
void ClockInit();
void Initialization();
void ProcessSystFlags();
void ProcessRequests();


#endif    //__MAIN_H__